#include <SpiceUsr.h>
#include <stdio.h>
int main() {
  SpiceDouble et;
  SpiceDouble z_earth[3] = {0.0, 0.0, 1.0};
  SpiceDouble z_eclip[3];
  SpiceDouble rotate[3][3];
  SpiceDouble r, colat, lon;

  furnsh_c("naif0012.tls");
  furnsh_c("pck00010.tpc");

  utc2et_c("2017-01-01T00:00:00", &et);
  pxform_c("IAU_EARTH", "ECLIPJ2000", et, rotate);
  mxv_c(rotate, z_earth, z_eclip);
  recsph_c(z_eclip, &r, &colat, &lon);
  printf("%f [deg]\n", colat * dpr_c());
}
