#include <SpiceUsr.h>
#include <stdio.h>
#define SIZE 30
int main() {
  SpiceChar utc[SIZE+1];
  SpiceDouble et, et1, et2;
  SpiceDouble pos[6], lt;

  furnsh_c("naif0012.tls");
  furnsh_c("pck00010.tpc");
  furnsh_c("de430.bsp");

  utc2et_c("2017-01-01T00:00:00", &et1);
  utc2et_c("2018-01-01T00:00:00", &et2);

  for(et=et1; et<et2; et+=86400) {
    spkezr_c("MOON", et, "J2000", "NONE", "EARTH", pos, &lt);
    et2utc_c(et, "ISOC", 0, SIZE, utc);
    printf("%s %e %e %e\n", utc, pos[0], pos[1], pos[2]);
  }
}
